.gallery-container {
    .active-media-container {
        .media-img {
            position: relative;
        }
        .media {
            max-width: 100%;
            width: 100%;
            height: 400px;
            object-fit: cover;

            &:focus, &:active {
                border: 0;
                outline: 0;
                box-shadow: none;
            }
        }
        .play-btn {
            position: absolute;
            left: 50%;
            top: 50%;
            transform: translate(-50%, -50%);
            background-color: yellow;
            width: 50px;
            height: 50px;
            cursor: pointer;
        }
    }
    .thumb-bar {
        display: flex;
        flex-wrap: nowrap;

        .thumb-ctrl-container {
            position: relative;
            max-width: 25px;
            min-width: 25px;

            .ctrl-inner {
                position: absolute;
                top: 50%;
                left: 50%;
                transform: translate(-50%, -50%);
           
                .ctrl-btn {
                    cursor: pointer;
                }
            }
        }
        .thumb-container {
            display: flex;
            overflow-x: hidden;
            transition-duration: 0.3s;
            scroll-behavior: smooth;

            .thumb-item {
                display: inline-block;
                min-width: 140px;
                max-width: 140px;
                height: 80px;
                margin-right: 15px;
                background-color: white;
                cursor: pointer;

                &.active {
                    img {
                        opacity: 1;
                    }
                }

                &:last-child {
                    margin-right: 0;
                }

                img {
                    width: 100%;
                    height: 100%;
                    object-fit: cover;
                    opacity: 0.4;
                    transition-duration: 0.3s;
                }
            }
        }
    }
}

@media (max-width: 959px) {
    .gallery-container {
        .active-media-container {
            .media {
                height: 50vw;
            }
        }
        .thumb-ctrl-container {
            display: none;
        }

        .thumb-container {
            .thumb-item {
                min-width: 70px !important;
                height: 40px !important;
            }
        }
    }
}